# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
# 
# @author    Dieter Spaeth  (mailto:dieter.spaeth@gmx.de)
# @copyright Copyright (c) 2010 Dieter Spaeth

require 'spec_helper'
module RailsJqueryBundle
  describe JqueryCssHelper do

    describe "#jquery_ui_css_tag" do
      it "creates the jquery-ui-theme include tag" do
        helper.jquery_ui_css_tag.should include("jquery-ui-1.8.10.custom.css")
      end

      it "includes a custom theme if wanted" do
        theme_name = "dark-blue"
        helper.jquery_ui_css_tag(:theme => theme_name).should include("/themes/dark-blue/")
      end

    end

    
  end
end

