# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
# 
# @author    Dieter Spaeth  (mailto:dieter.spaeth@gmx.de)
# @copyright Copyright (c) 2010 Dieter Spaeth

require 'spec_helper'
module RailsJqueryBundle
  describe JqueryJsHelper do

    describe "#jquery_js_tag" do
      it "creates the jquery include tag" do
        helper.jquery_js_tag.should include("jquery.js")
      end

      it "includes minified in production mode" do
        helper.stub(:is_production?).and_return(true)
        helper.jquery_js_tag.should include("minified")
      end

    end

    describe "#jquery_ui_js_tag" do
    
      it "creates the jquery-ui include tag" do
        helper.jquery_ui_js_tag.should include("jquery-ui.all.js")
      end

      it "includes jquery" do
        helper.jquery_ui_js_tag.should include("jquery.js")
      end

      it "includes minified in production mode" do
        helper.stub(:is_production?).and_return(true)
        helper.jquery_ui_js_tag.should include("minified")
      end
      
      it "includes jqeury-ui-core when only some modules are wanted" do
        helper.jquery_ui_js_tag(:ui => [:position]).should include("jquery.ui.core.js")
      end
    end
  end
end

